<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    tools:ignore="HardcodedText">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_10">

        <ImageView
            android:id="@+id/iv_listitem_icon"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center_vertical|start"
            android:layout_marginEnd="10dp"
            android:src="@drawable/tt_ad_logo"
            tools:ignore="ContentDescription,ImageContrastCheck" />

        <ImageView
            android:id="@+id/iv_listitem_dislike"
            android:layout_width="20dp"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical|end"
            android:layout_marginStart="10dp"
            android:clickable="true"
            android:focusable="true"
            android:src="@drawable/dislike_icon"
            android:visibility="visible"
            tools:ignore="ContentDescription,ImageContrastCheck,SpeakableTextPresentCheck,TouchTargetSizeCheck" />
    </FrameLayout>

    <TextView
        android:id="@+id/tv_listitem_ad_desc"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="3dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="3dp"
        android:ellipsize="end"
        android:lineSpacingMultiplier="1"
        android:maxLines="2"
        android:singleLine="false"
        android:text="pangle"
        android:textColor="@android:color/black"
        android:textSize="18sp" />

    <FrameLayout
        android:id="@+id/iv_listitem_video"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_120"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:scaleType="centerCrop" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_45"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:minHeight="@dimen/dp_45"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/tt_ad_logo"
            android:layout_width="40dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:gravity="center_vertical"
            android:minHeight="@dimen/dp_18" />

        <TextView
            android:id="@+id/tv_listitem_ad_title"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="5dp"
            android:layout_weight="1"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:maxLength="14"
            android:singleLine="true"
            android:text="this is title....."
            android:textSize="18sp" />

        <Button
            android:id="@+id/tt_creative_btn"
            android:layout_width="90dp"
            android:layout_height="28dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="3dp"
            android:layout_marginEnd="8dp"
            android:background="@drawable/bg_btn_ad"
            android:ellipsize="end"
            android:gravity="center"
            android:lines="1"
            android:padding="3dp"
            android:text="Download"
            android:textAllCaps="false"
            android:textColor="#B22222"
            android:textSize="14sp"
            tools:ignore="TextContrastCheck,TouchTargetSizeCheck" />


    </LinearLayout>

</LinearLayout>